Commit 1f5e00f5 authored by Adrien Plazas's avatar Adrien Plazas
Browse files

debian: Disable fwupd support

We don't support it in the Librem 5 so there is no point installing it,
and by extension supporting it in GNOME Software.
parent bf026f28
......@@ -7,6 +7,7 @@ export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
GS_CONFIGURE_FLAGS = \
-Dfwupd=false \
-Dgnome_desktop=true \
-Dodrs=true \
-Dostree=false \
......@@ -17,7 +18,6 @@ GS_CONFIGURE_FLAGS = \
# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
-Dfwupd=false \
-Dflatpak=false \
-Dgudev=false \
-Dmalcontent=false \
......@@ -32,9 +32,6 @@ ifeq ($(DEB_HOST_ARCH_OS), linux)
# Enable GUdev support on Linux
GS_CONFIGURE_FLAGS += -Dgudev=true
# Enable fwupd support on Linux
GS_CONFIGURE_FLAGS += -Dfwupd=true
# Enable valgrind support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
GS_CONFIGURE_FLAGS += -Dvalgrind=true
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment